Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.mdm.index.ops
Class ObjectInputstreamForBackwardCompatibility

    java.lang.Object
      java.io.InputStream
          java.io.ObjectInputStream
              com.sun.mdm.index.ops.ObjectInputstreamForBackwardCompatibility

All Implemented Interfaces:
  java.io.Closeable, java.io.DataInput, java.io.ObjectInput, java.io.ObjectStreamConstants

public class ObjectInputstreamForBackwardCompatibility
extends java.io.ObjectInputStream

Nested Class Summary

Nested classes inherited from class java.io.ObjectInputStream
`java.io.ObjectInputStream.GetField`

Field Summary

Fields inherited from interface java.io.ObjectStreamConstants
`baseWireHandle, PROTOCOL_VERSION_1, PROTOCOL_VERSION_2, SC_BLOCK_DATA, SC_ENUM, SC_EXTERNALIZABLE, SC_SERIALIZABLE, SC_WRITE_METHOD, STREAM_MAGIC, STREAM_VERSION, SUBCLASS_IMPLEMENTATION_PERMISSION, SUBSTITUTION_PERMISSION, TC_ARRAY, TC_BASE, TC_BLOCKDATA, TC_BLOCKDATALONG, TC_CLASS, TC_CLASSDESC, TC_ENDBLOCKDATA, TC_ENUM, TC_EXCEPTION, TC_LONGSTRING, TC_MAX, TC_NULL, TC_OBJECT, TC_PROXYCLASSDESC, TC_REFERENCE, TC_RESET, TC_STRING`

Constructor Summary
`ObjectInputstreamForBackwardCompatibility()` Constructor
`ObjectInputstreamForBackwardCompatibility(java.io.InputStream in)` Constructor

Method Summary
`protected java.io.ObjectStreamClass` | `readClassDescriptor()` Read a class descriptor.
`protected java.lang.Class` | `resolveClass(java.io.ObjectStreamClass desc)`

Methods inherited from class java.io.ObjectInputStream
`available, close, defaultReadObject, enableResolveObject, read, read, readBoolean, readByte, readChar, readDouble, readFields, readFloat, readFully, readFully, readInt, readLine, readLong, readObject, readObjectOverride, readShort, readStreamHeader, readUnshared, readUnsignedByte, readUnsignedShort, readUTF, registerValidation, resolveObject, resolveProxyClass, skipBytes`

Methods inherited from class java.io.InputStream
`mark, markSupported, read, reset, skip`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface java.io.ObjectInput
`read, skip`

Constructor Detail

### ObjectInputstreamForBackwardCompatibility

    public ObjectInputstreamForBackwardCompatibility()
                                              throws java.io.IOException,
                                                     java.lang.SecurityException

  Constructor

  Throws:
    `java.io.IOException` - if an IOException occurs.
    `java.lang.SecurityException` - if a SecurityException occurs.

### ObjectInputstreamForBackwardCompatibility

    public ObjectInputstreamForBackwardCompatibility(java.io.InputStream in)
                                              throws java.io.IOException

  Constructor

  Parameters:
    `in` - Input Stream
  Throws:
    `java.io.IOException` - if an IOException occurs.

Method Detail

### readClassDescriptor

    protected java.io.ObjectStreamClass readClassDescriptor()
                                                     throws java.io.IOException,
                                                            java.lang.ClassNotFoundException

  Read a class descriptor.

  Returns:
    ObjectStreamClass instance for the local class descriptor.
  Throws:
    `java.io.IOException` - if an IOException occurs.
    `java.lang.ClassNotFoundException` - if a ClassNotFoundException occurs.

### resolveClass

    protected java.lang.Class resolveClass(java.io.ObjectStreamClass desc)
                                    throws java.io.IOException,
                                           java.lang.ClassNotFoundException

  Throws:
    `java.io.IOException`
    `java.lang.ClassNotFoundException`

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Sun Microsystems, Inc.